org.richfaces.component

## Class UIPanelMenu

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractPanelMenu
        - - org.richfaces.component.UIPanelMenu

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, DisabledProps, EventsMouseProps, ImmediateProps, StyleClassProps, StyleProps, ItemChangeSource

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIPanelMenu
      extends AbstractPanelMenu
      implements javax.faces.component.behavior.ClientBehaviorHolder, DisabledProps, EventsMouseProps, ImmediateProps, StyleClassProps, StyleProps, ItemChangeSource

  The <rich:panelMenu> component is used in conjunction with <rich:panelMenuItem> and <rich:panelMenuGroup> to create an expanding, hierarchical menu. The <rich:panelMenu> component's appearance can be highly customized, and the hierarchy can stretch to any number of sub-levels.

  Author:
    akolonitsky

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIPanelMenu.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIPanelMenu()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCollapseEvent()` The mouse event used for collapsing.
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `String` | `getExpandEvent()` The mouse event used for expansion.
    `String` | `getFamily()`
    `String` | `getGroupClass()` Space-separated list of CSS style class(es) to be applied to panel menu groups
    `String` | `getGroupDisabledClass()` Space-separated list of CSS style class(es) to be applied to disabled panel menu groups
    `PanelMenuMode` | `getGroupMode()` Mode used for expanding/collapsing groups: client (default), ajax, server
    `javax.el.MethodExpression` | `getItemChangeListener()` Method expression referencing a method that will be called when an ItemChangeEvent has been broadcast for the listener.
    `String` | `getItemClass()` Space-separated list of CSS style class(es) to be applied to the panel menu items.
    `String` | `getItemDisabledClass()` Space-separated list of CSS style class(es) to be applied to disables panel menu items.
    `PanelMenuMode` | `getItemMode()` The mode user for selecting items: client, ajax (default), server
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTopGroupClass()` Space-separated list of CSS style class(es) to be applied to top-level panel menu groups
    `String` | `getTopGroupDisabledClass()` Space-separated list of CSS style class(es) to be applied to disabled top-level panel menu groups
    `String` | `getTopItemClass()` Space-separated list of CSS style class(es) to be applied to top-level panel menu items
    `String` | `getTopItemDisabledClass()` Space-separated list of CSS style class(es) to be applied to disabled top-level panel menu items
    `String` | `getWidth()` The width of the panel menu in pixels.
    `boolean` | `isBubbleSelection()` If true (default), selection of any item of group will cause selection of groups - predecessors - in the hierarchy.
    `boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `boolean` | `isExpandSingle()` If true (default), only one group can be expanded at the time.
    `void` | `setBubbleSelection(boolean bubbleSelection)`
    `void` | `setCollapseEvent(String collapseEvent)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setExpandEvent(String expandEvent)`
    `void` | `setExpandSingle(boolean expandSingle)`
    `void` | `setGroupClass(String groupClass)`
    `void` | `setGroupDisabledClass(String groupDisabledClass)`
    `void` | `setGroupMode(PanelMenuMode groupMode)`
    `void` | `setItemChangeListener(javax.el.MethodExpression itemChangeListener)`
    `void` | `setItemClass(String itemClass)`
    `void` | `setItemDisabledClass(String itemDisabledClass)`
    `void` | `setItemMode(PanelMenuMode itemMode)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTopGroupClass(String topGroupClass)`
    `void` | `setTopGroupDisabledClass(String topGroupDisabledClass)`
    `void` | `setTopItemClass(String topItemClass)`
    `void` | `setTopItemDisabledClass(String topItemDisabledClass)`
    `void` | `setWidth(String width)`

    - ### Methods inherited from class org.richfaces.component.AbstractPanelMenu

      `addItemChangeListener, broadcast, getActiveItem, getGroupCollapsedLeftIcon, getGroupCollapsedRightIcon, getGroupDisabledLeftIcon, getGroupDisabledRightIcon, getGroupExpandedLeftIcon, getGroupExpandedRightIcon, getItem, getItemChangeListeners, getItemDisabledLeftIcon, getItemDisabledRightIcon, getItemLeftIcon, getItemRightIcon, getSubmittedActiveItem, getTopGroupCollapsedLeftIcon, getTopGroupCollapsedRightIcon, getTopGroupDisabledLeftIcon, getTopGroupDisabledRightIcon, getTopGroupExpandedLeftIcon, getTopGroupExpandedRightIcon, getTopItemDisabledLeftIcon, getTopItemDisabledRightIcon, getTopItemLeftIcon, getTopItemRightIcon, getValue, isImmediate, processDecodes, queueEvent, removeItemChangeListener, setActiveItem, setEventPhase, setGroupCollapsedLeftIcon, setGroupCollapsedRightIcon, setGroupDisabledLeftIcon, setGroupDisabledRightIcon, setGroupExpandedLeftIcon, setGroupExpandedRightIcon, setImmediate, setItemDisabledLeftIcon, setItemDisabledRightIcon, setItemLeftIcon, setItemRightIcon, setSubmittedActiveItem, setTopGroupCollapsedLeftIcon, setTopGroupCollapsedRightIcon, setTopGroupDisabledLeftIcon, setTopGroupDisabledRightIcon, setTopGroupExpandedLeftIcon, setTopGroupExpandedRightIcon, setTopItemDisabledLeftIcon, setTopItemDisabledRightIcon, setTopItemLeftIcon, setTopItemRightIcon, setValue, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, markInitialState, resetValue, restoreState, saveState, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.attribute.ImmediateProps

      `isImmediate`

    - ### Methods inherited from interface org.richfaces.event.ItemChangeSource

      `addItemChangeListener, getItemChangeListeners, removeItemChangeListener`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIPanelMenu

          public UIPanelMenu()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractPanelMenu`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isBubbleSelection

          public boolean isBubbleSelection()

      Description copied from class: `AbstractPanelMenu`
      If true (default), selection of any item of group will cause selection of groups - predecessors - in the hierarchy. If false, only given item is selected.
      Specified by:
        `isBubbleSelection` in class `AbstractPanelMenu`

    - #### setBubbleSelection

          public void setBubbleSelection(boolean bubbleSelection)

    - #### getCollapseEvent

          public String getCollapseEvent()

      Description copied from class: `AbstractPanelMenu`
      The mouse event used for collapsing.
      Specified by:
        `getCollapseEvent` in class `AbstractPanelMenu`

    - #### setCollapseEvent

          public void setCollapseEvent(String collapseEvent)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getExpandEvent

          public String getExpandEvent()

      Description copied from class: `AbstractPanelMenu`
      The mouse event used for expansion.
      Specified by:
        `getExpandEvent` in class `AbstractPanelMenu`

    - #### setExpandEvent

          public void setExpandEvent(String expandEvent)

    - #### isExpandSingle

          public boolean isExpandSingle()

      Description copied from class: `AbstractPanelMenu`
      If true (default), only one group can be expanded at the time. If false, many groups can be expanded.
      Specified by:
        `isExpandSingle` in class `AbstractPanelMenu`

    - #### setExpandSingle

          public void setExpandSingle(boolean expandSingle)

    - #### getGroupClass

          public String getGroupClass()

      Description copied from class: `AbstractPanelMenu`
      Space-separated list of CSS style class(es) to be applied to panel menu groups
      Specified by:
        `getGroupClass` in class `AbstractPanelMenu`

    - #### setGroupClass

          public void setGroupClass(String groupClass)

    - #### getGroupDisabledClass

          public String getGroupDisabledClass()

      Description copied from class: `AbstractPanelMenu`
      Space-separated list of CSS style class(es) to be applied to disabled panel menu groups
      Specified by:
        `getGroupDisabledClass` in class `AbstractPanelMenu`

    - #### setGroupDisabledClass

          public void setGroupDisabledClass(String groupDisabledClass)

    - #### getGroupMode

          public PanelMenuMode getGroupMode()

      Description copied from class: `AbstractPanelMenu`
      Mode used for expanding/collapsing groups: client (default), ajax, server
      Specified by:
        `getGroupMode` in class `AbstractPanelMenu`

    - #### setGroupMode

          public void setGroupMode(PanelMenuMode groupMode)

    - #### getItemChangeListener

          public javax.el.MethodExpression getItemChangeListener()

      Description copied from class: `AbstractPanelMenu`
      Method expression referencing a method that will be called when an ItemChangeEvent has been broadcast for the listener.
      Specified by:
        `getItemChangeListener` in class `AbstractPanelMenu`

    - #### setItemChangeListener

          public void setItemChangeListener(javax.el.MethodExpression itemChangeListener)

    - #### getItemClass

          public String getItemClass()

      Description copied from class: `AbstractPanelMenu`
      Space-separated list of CSS style class(es) to be applied to the panel menu items.
      Specified by:
        `getItemClass` in class `AbstractPanelMenu`

    - #### setItemClass

          public void setItemClass(String itemClass)

    - #### getItemDisabledClass

          public String getItemDisabledClass()

      Description copied from class: `AbstractPanelMenu`
      Space-separated list of CSS style class(es) to be applied to disables panel menu items.
      Specified by:
        `getItemDisabledClass` in class `AbstractPanelMenu`

    - #### setItemDisabledClass

          public void setItemDisabledClass(String itemDisabledClass)

    - #### getItemMode

          public PanelMenuMode getItemMode()

      Description copied from class: `AbstractPanelMenu`
      The mode user for selecting items: client, ajax (default), server
      Specified by:
        `getItemMode` in class `AbstractPanelMenu`

    - #### setItemMode

          public void setItemMode(PanelMenuMode itemMode)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `StyleProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `StyleProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `StyleClassProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `StyleClassProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTopGroupClass

          public String getTopGroupClass()

      Description copied from class: `AbstractPanelMenu`
      Space-separated list of CSS style class(es) to be applied to top-level panel menu groups
      Specified by:
        `getTopGroupClass` in class `AbstractPanelMenu`

    - #### setTopGroupClass

          public void setTopGroupClass(String topGroupClass)

    - #### getTopGroupDisabledClass

          public String getTopGroupDisabledClass()

      Description copied from class: `AbstractPanelMenu`
      Space-separated list of CSS style class(es) to be applied to disabled top-level panel menu groups
      Specified by:
        `getTopGroupDisabledClass` in class `AbstractPanelMenu`

    - #### setTopGroupDisabledClass

          public void setTopGroupDisabledClass(String topGroupDisabledClass)

    - #### getTopItemClass

          public String getTopItemClass()

      Description copied from class: `AbstractPanelMenu`
      Space-separated list of CSS style class(es) to be applied to top-level panel menu items
      Specified by:
        `getTopItemClass` in class `AbstractPanelMenu`

    - #### setTopItemClass

          public void setTopItemClass(String topItemClass)

    - #### getTopItemDisabledClass

          public String getTopItemDisabledClass()

      Description copied from class: `AbstractPanelMenu`
      Space-separated list of CSS style class(es) to be applied to disabled top-level panel menu items
      Specified by:
        `getTopItemDisabledClass` in class `AbstractPanelMenu`

    - #### setTopItemDisabledClass

          public void setTopItemDisabledClass(String topItemDisabledClass)

    - #### getWidth

          public String getWidth()

      Description copied from class: `AbstractPanelMenu`
      The width of the panel menu in pixels.
      Specified by:
        `getWidth` in class `AbstractPanelMenu`

    - #### setWidth

          public void setWidth(String width)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.